#!/bin/bash
#====================================================================
#    RAS Assist Service MTEP(httpd) Installer version 1.0-1
#               Copyright FUJITSU LIMITED 2010
#====================================================================

MTEPRPM="httpd-1.0-1.FJ.i386.rpm"
MTEPCNF="httpd.conf"
HTTPCNF="/etc/httpd/conf/httpd.conf"

/bin/rpm -ivh $MTEPRPM

if [ $? -ne 0 ]; then
	echo ""
	echo "Installing httpd  ... [ NG ]"
	echo "*** Error: The installation of $MTEPRPM failed."
	exit 1
fi

cp -af $MTEPCNF $HTTPCNF

if [ $? -ne 0 ]; then
	echo ""
	echo "Installing httpd  ... [ NG ]"
	echo "*** Warning: copy $HTTPCNF failed."
	echo "*** Please copy $MTEPCNF to $HTTPCNF manually."
	exit 1
fi

echo ""
echo "Installing httpd  ... [ OK ]"
exit 0

